org.apache.solr.handler.extraction

## Class ExtractingRequestHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.ContentStreamHandlerBase
    - - org.apache.solr.handler.extraction.ExtractingRequestHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PermissionNameProvider, SolrCoreAware

      public class ExtractingRequestHandler
      extends ContentStreamHandlerBase
      implements SolrCoreAware, PermissionNameProvider

  Handler for rich documents like PDF or Word or any other file format that Tika handles that need the text to be extracted first from the document.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.security.PermissionNameProvider

      `PermissionNameProvider.Name`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.tika.config.TikaConfig` | `config`
    `static String` | `CONFIG_LOCATION`
    `static String` | `DATE_FORMATS`
    `protected Collection<String>` | `dateFormats`
    `protected SolrContentHandlerFactory` | `factory`
    `static String` | `PARSE_CONTEXT_CONFIG`
    `protected ParseContextConfig` | `parseContextConfig`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.security.PermissionNameProvider

      `ANY, NULL, values`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractingRequestHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SolrContentHandlerFactory` | `createFactory()`
    `String` | `getDescription()`
    `PermissionNameProvider.Name` | `getPermissionName(AuthorizationContext request)`
    `void` | `inform(SolrCore core)`
    `void` | `init(NamedList args)`
    `protected ContentStreamLoader` | `newLoader(SolrQueryRequest req, UpdateRequestProcessor processor)`

    - ### Methods inherited from class org.apache.solr.handler.ContentStreamHandlerBase

      `handleRequestBody`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getSubHandler, getVersion, handleRequest, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARSE_CONTEXT_CONFIG

          public static final String PARSE_CONTEXT_CONFIG

      See Also:
        Constant Field Values

    - #### CONFIG_LOCATION

          public static final String CONFIG_LOCATION

      See Also:
        Constant Field Values

    - #### DATE_FORMATS

          public static final String DATE_FORMATS

      See Also:
        Constant Field Values

    - #### config

          protected org.apache.tika.config.TikaConfig config

    - #### parseContextConfig

          protected ParseContextConfig parseContextConfig

    - #### dateFormats

          protected Collection<String> dateFormats

    - #### factory

          protected SolrContentHandlerFactory factory

  - ### Constructor Detail

    - #### ExtractingRequestHandler

          public ExtractingRequestHandler()

  - ### Method Detail

    - #### getPermissionName

          public PermissionNameProvider.Name getPermissionName(AuthorizationContext request)

      Specified by:
        `getPermissionName` in interface `PermissionNameProvider`

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `SolrRequestHandler`
      Overrides:
        `init` in class `ContentStreamHandlerBase`

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### createFactory

          protected SolrContentHandlerFactory createFactory()

    - #### newLoader

          protected ContentStreamLoader newLoader(SolrQueryRequest req,
                                                  UpdateRequestProcessor processor)

      Specified by:
        `newLoader` in class `ContentStreamHandlerBase`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.